Unable do create any page in Index namespace of wikisources
Closed, ResolvedPublic

Description

Attempt to create new page in Index: namespace in any wikisource gives an internal error:

Internal error
[WH-uVApAMEgAAIpZq2oAAAAO] 2017-01-18 22:38:12: Fatal exception of type "BadMethodCallException"

This worked few hours ago.

Creating new index pages is a critical activity in Wikisource.

Ankry created this task.Jan 18 2017, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 10:43 PM
Ankry edited the task description. (Show Details)Jan 18 2017, 10:43 PM
Legoktm triaged this task as "Unbreak Now!" priority.Jan 18 2017, 10:45 PM
Legoktm added a subscriber: Legoktm.
2017-01-18 22:38:12 [WH-uVApAMEgAAIpZq2oAAAAO] mw1237 sourceswiki 1.29.0-wmf.8 exception ERROR: [WH-uVApAMEgAAIpZq2oAAAAO] /w/index.php?title=Index:Wielka_bitwa_narod%C3%B3w._Blokhauz_pod_Syren%C4%85_(cz._1).djvu&action=edit   BadMethodCallException from line 250 of /srv/mediawiki/php-1.29.0-wmf.8/extensions/ProofreadPage/includes/index/ProofreadIndexPage.php: Call to a member function getChildrenOfType() on a non-object (boolean) {"exception_id":"WH-uVApAMEgAAIpZq2oAAAAO","caught_by":"mwe_handler"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.29.0-wmf.8/extensions/ProofreadPage/includes/index/ProofreadIndexPage.php:250) Call to a member function getChildrenOfType() on a non-object (boolean)
  #0 /srv/mediawiki/php-1.29.0-wmf.8/extensions/ProofreadPage/includes/index/EditProofreadIndexPage.php(41): ProofreadIndexPage->getIndexEntries()
  #1 /srv/mediawiki/php-1.29.0-wmf.8/includes/EditPage.php(2777): EditProofreadIndexPage->showContentForm()
  #2 /srv/mediawiki/php-1.29.0-wmf.8/includes/EditPage.php(639): EditPage->showEditForm()
  #3 /srv/mediawiki/php-1.29.0-wmf.8/extensions/ProofreadPage/ProofreadPage.body.php(109): EditPage->edit()
  #4 /srv/mediawiki/php-1.29.0-wmf.8/includes/Hooks.php(186): ProofreadPage::onCustomEditor(Article, User)
  #5 /srv/mediawiki/php-1.29.0-wmf.8/includes/actions/EditAction.php(57): Hooks::run(string, array)
  #6 /srv/mediawiki/php-1.29.0-wmf.8/includes/MediaWiki.php(495): EditAction->show()
  #7 /srv/mediawiki/php-1.29.0-wmf.8/includes/MediaWiki.php(289): MediaWiki->performAction(Article, Title)
  #8 /srv/mediawiki/php-1.29.0-wmf.8/includes/MediaWiki.php(858): MediaWiki->performRequest()
  #9 /srv/mediawiki/php-1.29.0-wmf.8/includes/MediaWiki.php(519): MediaWiki->main()
  #10 /srv/mediawiki/php-1.29.0-wmf.8/index.php(43): MediaWiki->run()
  #11 /srv/mediawiki/w/index.php(3): include(string)
  #12 {main}
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 18 2017, 10:45 PM

Change 332895 had a related patch set uploaded (by Legoktm):
Revert "Use the parser to get each template parameter in the Index: namespace"

https://gerrit.wikimedia.org/r/332895

Change 332897 had a related patch set uploaded (by Chad):
Revert "Use the parser to get each template parameter in the Index: namespace"

https://gerrit.wikimedia.org/r/332897

Change 332895 merged by jenkins-bot:
Revert "Use the parser to get each template parameter in the Index: namespace"

https://gerrit.wikimedia.org/r/332895

Change 332897 merged by jenkins-bot:
Revert "Use the parser to get each template parameter in the Index: namespace"

https://gerrit.wikimedia.org/r/332897

Mentioned in SAL (#wikimedia-operations) [2017-01-18T22:59:56Z] <demon@tin> Synchronized php-1.29.0-wmf.8/extensions/ProofreadPage/includes/index/ProofreadIndexPage.php: Unbreak, T155682 (duration: 00m 39s)

demon closed this task as "Resolved".Jan 18 2017, 11:00 PM
demon claimed this task.
demon added a subscriber: demon.

Should be fixed.

Ankry added a comment.EditedJan 18 2017, 11:02 PM

Should be fixed.

I confirm

Question. Is there a test in the system to create an index page as part of the testing of a mediawiki release? It would be useful, and to have that within the system if it doesn't exist.

Question. Is there a test in the system to create an index page as part of the testing of a mediawiki release? It would be useful, and to have that within the system if it doesn't exist.

No, that's something the ProofreadPage maintainers would need to add tests for it.

Tpt added a comment.Jan 19 2017, 10:35 AM

Question. Is there a test in the system to create an index page as part of the testing of a mediawiki release? It would be useful, and to have that within the system if it doesn't exist.

No, that's something the ProofreadPage maintainers would need to add tests for it.

Yes, definitely. I've just opened a task about it: T155714

Billinghurst moved this task from Backlog to Done on the ProofreadPage board.Mar 5 2017, 2:03 AM